Bug 1004993 - [abrt] mypaint-1.1.0-1.fc20: toolbar.py:760:_get_scaled_pixbuf:GError: Icon 'gtk-missing-image' not present in theme
[abrt] mypaint-1.1.0-1.fc20: toolbar.py:760:_get_scaled_pixbuf:GError: Icon '...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mypaint (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:c54461aec89ecd65f628e0b25fc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 20:42 EDT by Joshua
Modified: 2015-06-29 08:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:20:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (709 bytes, text/plain)
2013-09-05 20:42 EDT, Joshua
no flags Details
File: environ (1.72 KB, text/plain)
2013-09-05 20:42 EDT, Joshua
no flags Details
a patch (478 bytes, patch)
2014-12-11 17:50 EST, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Joshua 2013-09-05 20:42:46 EDT
Description of problem:
Installed mypaint ran it using UC Logic tablet.

Version-Release number of selected component:
mypaint-1.1.0-1.fc20

Additional info:
reporter:       libreport-2.1.6
cmdline:        python2.7 /bin/mypaint
dso_list:       mypaint-data-1.1.0-1.fc20.noarch
executable:     /bin/mypaint
kernel:         3.11.0-3.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
toolbar.py:760:_get_scaled_pixbuf:GError: Icon 'gtk-missing-image' not present in theme

Traceback (most recent call last):
  File "/usr/share/mypaint/gui/toolbar.py", line 755, in on_size_allocate
    self._update()
  File "/usr/share/mypaint/gui/toolbar.py", line 776, in _update
    scaled_pixbuf = self._get_scaled_pixbuf(s)
  File "/usr/share/mypaint/gui/toolbar.py", line 760, in _get_scaled_pixbuf
    return theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
GError: Icon 'gtk-missing-image' not present in theme

Local variables in innermost frame:
theme: <gtk.IconTheme object at 0x3194e60 (GtkIconTheme at 0x33cd190)>
self: <ManagedBrushPreview object at 0x38cb050 (GtkImage at 0x3a26e70)>
size: 22
Comment 1 Joshua 2013-09-05 20:42:50 EDT
Created attachment 794550 [details]
File: backtrace
Comment 2 Joshua 2013-09-05 20:42:52 EDT
Created attachment 794551 [details]
File: environ
Comment 3 Matthias Clasen 2014-12-11 17:50:49 EST
Created attachment 967404 [details]
a patch

this patch should fix the problem. gtk.STOCK_MISSING_IMAGE is a stock id, not the name of a themed icon.
Comment 4 Fedora End Of Life 2015-05-29 05:22:12 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:20:09 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.